Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.clustering
Class RequestBlockingHandler

    java.lang.Object
      org.apache.axis2.handlers.AbstractHandler
          org.apache.axis2.clustering.RequestBlockingHandler

All Implemented Interfaces:
  Handler

    public class RequestBlockingHandler

extends AbstractHandler

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler
`Handler.InvocationResponse`

Field Summary

Fields inherited from class org.apache.axis2.handlers.AbstractHandler
`handlerDesc`

Constructor Summary
`RequestBlockingHandler()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `hashCode()`
`Handler.InvocationResponse` | `invoke(MessageContext msgContext)` This method will be called on each registered handler when a message needs to be processed.

Methods inherited from class org.apache.axis2.handlers.AbstractHandler
`cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestBlockingHandler

    public RequestBlockingHandler()

Method Detail

### invoke

    public Handler.InvocationResponse invoke(MessageContext msgContext)
                                      throws AxisFault

  Description copied from interface: `Handler`
  This method will be called on each registered handler when a message needs to be processed. If the message processing is paused by the handler, then this method will be called again for the handler that paused the processing once it is resumed.

  This method may be called concurrently from multiple threads.

  Handlers that want to determine the type of message that is to be processed (e.g. response vs request, inbound vs. outbound, etc.) can retrieve that information from the MessageContext via MessageContext.getFLOW() and MessageContext.getAxisOperation().getMessageExchangePattern() APIs.

  Parameters:
    `msgContext` - the `MessageContext` to process with this `Handler`.
  Returns:
    An InvocationResponse that indicates what the next step in the message processing should be.
  Throws:
    `AxisFault` - if the handler encounters an error

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.